petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetLocalToGlobalMapping

Accesses the local-to-global mapping in a DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLocalToGlobalMapping(DM dm,ISLocalToGlobalMapping *ltog)

Collective on dm

### Input Parameter

dm -the DM that provides the mapping

### Output Parameter

ltog -the mapping

### Notes

This mapping can then be used by VecSetLocalToGlobalMapping() or MatSetLocalToGlobalMapping().

### See Also

DMCreateLocalVector()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/ksp/ksp/examples/tutorials/ex71.c.html
src/ksp/ksp/examples/tutorials/ex14f.F90.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex5f90t.F90.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/bound/examples/tutorials/plate2f.F90.html

### Implementations

DMGetLocalToGlobalMapping_Composite in src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages